<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>TangoTestClass.h</h1><a href="TangoTestClass_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre>00001 <font class="comment">//=============================================================================</font>
00002 <font class="comment">//</font>
00003 <font class="comment">// file :         TangoTestClass.h</font>
00004 <font class="comment">//</font>
00005 <font class="comment">// description :  Include for the TangoTestClass root class.</font>
00006 <font class="comment">//                This class is represents the singleton class for</font>
00007 <font class="comment">//                the TangoTest device class.</font>
00008 <font class="comment">//                It contains all properties and methods which the </font>
00009 <font class="comment">//                TangoTest requires only once e.g. the commands.</font>
00010 <font class="comment">//                      </font>
00011 <font class="comment">// project :      TANGO Device Server</font>
00012 <font class="comment">//</font>
00013 <font class="comment">// $Author: taurel $</font>
00014 <font class="comment">//</font>
00015 <font class="comment">// $Revision: 1.1.1.1 $</font>
00016 <font class="comment">//</font>
00017 <font class="comment">// $Log: TangoTestClass_8h-source.html,v $
00017 <font class="comment">// Revision 1.1.1.1  2004/05/07 12:43:45  taurel
00017 <font class="comment">// Initial import
00017 <font class="comment">//</font>
00018 <font class="comment">//</font>
00019 <font class="comment">// copyleft :     European Synchrotron Radiation Facility</font>
00020 <font class="comment">//                BP 220, Grenoble 38043</font>
00021 <font class="comment">//                FRANCE</font>
00022 <font class="comment">//</font>
00023 <font class="comment">//=============================================================================</font>
00024 <font class="comment">//</font>
00025 <font class="comment">//              This file is generated by POGO</font>
00026 <font class="comment">//      (Program Obviously used to Generate tango Object)</font>
00027 <font class="comment">//</font>
00028 <font class="comment">//         (c) - Software Engineering Group - ESRF</font>
00029 <font class="comment">//=============================================================================</font>
00030 
00031 <font class="preprocessor">#ifndef _TANGOTESTCLASS_H</font>
00032 <font class="preprocessor"></font><font class="preprocessor">#define _TANGOTESTCLASS_H</font>
00033 <font class="preprocessor"></font>
00034 <font class="preprocessor">#include &lt;tango.h&gt;</font>
00035 
00036 
00037 <font class="keyword">namespace </font>TangoTest
00038 {
00039 <font class="comment">//</font>
00040 <font class="comment">// Define classes for commands</font>
00041 <font class="comment">//</font>
<a name="l00042"></a><a class="code" href="classTangoTest_1_1DevVarDoubleStringArrayCmd.html">00042</a> <font class="keyword">class </font>DevVarDoubleStringArrayCmd : <font class="keyword">public</font> Tango::Command
00043 {
00044 <font class="keyword">public</font>:
00045         <a class="code" href="classTangoTest_1_1DevVarDoubleStringArrayCmd.html#a0">DevVarDoubleStringArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00046         <a class="code" href="classTangoTest_1_1DevVarDoubleStringArrayCmd.html#a0">DevVarDoubleStringArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00047"></a><a class="code" href="classTangoTest_1_1DevVarDoubleStringArrayCmd.html#a2">00047</a>         <a class="code" href="classTangoTest_1_1DevVarDoubleStringArrayCmd.html#a2">~DevVarDoubleStringArrayCmd</a>() {};
00048         
00049         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarDoubleStringArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00050         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarDoubleStringArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00051 };
00052 
00053 
<a name="l00054"></a><a class="code" href="classTangoTest_1_1DevVarLongStringArrayCmd.html">00054</a> <font class="keyword">class </font>DevVarLongStringArrayCmd : <font class="keyword">public</font> Tango::Command
00055 {
00056 <font class="keyword">public</font>:
00057         <a class="code" href="classTangoTest_1_1DevVarLongStringArrayCmd.html#a0">DevVarLongStringArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00058         <a class="code" href="classTangoTest_1_1DevVarLongStringArrayCmd.html#a0">DevVarLongStringArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00059"></a><a class="code" href="classTangoTest_1_1DevVarLongStringArrayCmd.html#a2">00059</a>         <a class="code" href="classTangoTest_1_1DevVarLongStringArrayCmd.html#a2">~DevVarLongStringArrayCmd</a>() {};
00060         
00061         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarLongStringArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00062         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarLongStringArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00063 };
00064 
00065 
<a name="l00066"></a><a class="code" href="classTangoTest_1_1DevVarStringArrayCmd.html">00066</a> <font class="keyword">class </font>DevVarStringArrayCmd : <font class="keyword">public</font> Tango::Command
00067 {
00068 <font class="keyword">public</font>:
00069         <a class="code" href="classTangoTest_1_1DevVarStringArrayCmd.html#a0">DevVarStringArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00070         <a class="code" href="classTangoTest_1_1DevVarStringArrayCmd.html#a0">DevVarStringArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00071"></a><a class="code" href="classTangoTest_1_1DevVarStringArrayCmd.html#a2">00071</a>         <a class="code" href="classTangoTest_1_1DevVarStringArrayCmd.html#a2">~DevVarStringArrayCmd</a>() {};
00072         
00073         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarStringArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00074         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarStringArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00075 };
00076 
00077 
<a name="l00078"></a><a class="code" href="classTangoTest_1_1DevVarDoubleArrayCmd.html">00078</a> <font class="keyword">class </font>DevVarDoubleArrayCmd : <font class="keyword">public</font> Tango::Command
00079 {
00080 <font class="keyword">public</font>:
00081         <a class="code" href="classTangoTest_1_1DevVarDoubleArrayCmd.html#a0">DevVarDoubleArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00082         <a class="code" href="classTangoTest_1_1DevVarDoubleArrayCmd.html#a0">DevVarDoubleArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00083"></a><a class="code" href="classTangoTest_1_1DevVarDoubleArrayCmd.html#a2">00083</a>         <a class="code" href="classTangoTest_1_1DevVarDoubleArrayCmd.html#a2">~DevVarDoubleArrayCmd</a>() {};
00084         
00085         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarDoubleArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00086         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarDoubleArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00087 };
00088 
00089 
<a name="l00090"></a><a class="code" href="classTangoTest_1_1DevVarFloatArrayCmd.html">00090</a> <font class="keyword">class </font>DevVarFloatArrayCmd : <font class="keyword">public</font> Tango::Command
00091 {
00092 <font class="keyword">public</font>:
00093         <a class="code" href="classTangoTest_1_1DevVarFloatArrayCmd.html#a0">DevVarFloatArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00094         <a class="code" href="classTangoTest_1_1DevVarFloatArrayCmd.html#a0">DevVarFloatArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00095"></a><a class="code" href="classTangoTest_1_1DevVarFloatArrayCmd.html#a2">00095</a>         <a class="code" href="classTangoTest_1_1DevVarFloatArrayCmd.html#a2">~DevVarFloatArrayCmd</a>() {};
00096         
00097         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarFloatArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00098         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarFloatArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00099 };
00100 
00101 
<a name="l00102"></a><a class="code" href="classTangoTest_1_1DevVarULongArrayCmd.html">00102</a> <font class="keyword">class </font>DevVarULongArrayCmd : <font class="keyword">public</font> Tango::Command
00103 {
00104 <font class="keyword">public</font>:
00105         <a class="code" href="classTangoTest_1_1DevVarULongArrayCmd.html#a0">DevVarULongArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00106         <a class="code" href="classTangoTest_1_1DevVarULongArrayCmd.html#a0">DevVarULongArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00107"></a><a class="code" href="classTangoTest_1_1DevVarULongArrayCmd.html#a2">00107</a>         <a class="code" href="classTangoTest_1_1DevVarULongArrayCmd.html#a2">~DevVarULongArrayCmd</a>() {};
00108         
00109         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarULongArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00110         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarULongArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00111 };
00112 
00113 
<a name="l00114"></a><a class="code" href="classTangoTest_1_1DevVarLongArrayCmd.html">00114</a> <font class="keyword">class </font>DevVarLongArrayCmd : <font class="keyword">public</font> Tango::Command
00115 {
00116 <font class="keyword">public</font>:
00117         <a class="code" href="classTangoTest_1_1DevVarLongArrayCmd.html#a0">DevVarLongArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00118         <a class="code" href="classTangoTest_1_1DevVarLongArrayCmd.html#a0">DevVarLongArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00119"></a><a class="code" href="classTangoTest_1_1DevVarLongArrayCmd.html#a2">00119</a>         <a class="code" href="classTangoTest_1_1DevVarLongArrayCmd.html#a2">~DevVarLongArrayCmd</a>() {};
00120         
00121         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarLongArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00122         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarLongArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00123 };
00124 
00125 
<a name="l00126"></a><a class="code" href="classTangoTest_1_1DevVarUShortArrayCmd.html">00126</a> <font class="keyword">class </font>DevVarUShortArrayCmd : <font class="keyword">public</font> Tango::Command
00127 {
00128 <font class="keyword">public</font>:
00129         <a class="code" href="classTangoTest_1_1DevVarUShortArrayCmd.html#a0">DevVarUShortArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00130         <a class="code" href="classTangoTest_1_1DevVarUShortArrayCmd.html#a0">DevVarUShortArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00131"></a><a class="code" href="classTangoTest_1_1DevVarUShortArrayCmd.html#a2">00131</a>         <a class="code" href="classTangoTest_1_1DevVarUShortArrayCmd.html#a2">~DevVarUShortArrayCmd</a>() {};
00132         
00133         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarUShortArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00134         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarUShortArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00135 };
00136 
00137 
<a name="l00138"></a><a class="code" href="classTangoTest_1_1DevVarShortArrayCmd.html">00138</a> <font class="keyword">class </font>DevVarShortArrayCmd : <font class="keyword">public</font> Tango::Command
00139 {
00140 <font class="keyword">public</font>:
00141         <a class="code" href="classTangoTest_1_1DevVarShortArrayCmd.html#a0">DevVarShortArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00142         <a class="code" href="classTangoTest_1_1DevVarShortArrayCmd.html#a0">DevVarShortArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00143"></a><a class="code" href="classTangoTest_1_1DevVarShortArrayCmd.html#a2">00143</a>         <a class="code" href="classTangoTest_1_1DevVarShortArrayCmd.html#a2">~DevVarShortArrayCmd</a>() {};
00144         
00145         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarShortArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00146         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarShortArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00147 };
00148 
00149 
<a name="l00150"></a><a class="code" href="classTangoTest_1_1DevVarCharArrayCmd.html">00150</a> <font class="keyword">class </font>DevVarCharArrayCmd : <font class="keyword">public</font> Tango::Command
00151 {
00152 <font class="keyword">public</font>:
00153         <a class="code" href="classTangoTest_1_1DevVarCharArrayCmd.html#a0">DevVarCharArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00154         <a class="code" href="classTangoTest_1_1DevVarCharArrayCmd.html#a0">DevVarCharArrayCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00155"></a><a class="code" href="classTangoTest_1_1DevVarCharArrayCmd.html#a2">00155</a>         <a class="code" href="classTangoTest_1_1DevVarCharArrayCmd.html#a2">~DevVarCharArrayCmd</a>() {};
00156         
00157         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVarCharArrayCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00158         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVarCharArrayCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00159 };
00160 
00161 
<a name="l00162"></a><a class="code" href="classTangoTest_1_1DevStringCmd.html">00162</a> <font class="keyword">class </font>DevStringCmd : <font class="keyword">public</font> Tango::Command
00163 {
00164 <font class="keyword">public</font>:
00165         <a class="code" href="classTangoTest_1_1DevStringCmd.html#a0">DevStringCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00166         <a class="code" href="classTangoTest_1_1DevStringCmd.html#a0">DevStringCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00167"></a><a class="code" href="classTangoTest_1_1DevStringCmd.html#a2">00167</a>         <a class="code" href="classTangoTest_1_1DevStringCmd.html#a2">~DevStringCmd</a>() {};
00168         
00169         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevStringCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00170         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevStringCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00171 };
00172 
00173 
<a name="l00174"></a><a class="code" href="classTangoTest_1_1DevDoubleCmd.html">00174</a> <font class="keyword">class </font>DevDoubleCmd : <font class="keyword">public</font> Tango::Command
00175 {
00176 <font class="keyword">public</font>:
00177         <a class="code" href="classTangoTest_1_1DevDoubleCmd.html#a0">DevDoubleCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00178         <a class="code" href="classTangoTest_1_1DevDoubleCmd.html#a0">DevDoubleCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00179"></a><a class="code" href="classTangoTest_1_1DevDoubleCmd.html#a2">00179</a>         <a class="code" href="classTangoTest_1_1DevDoubleCmd.html#a2">~DevDoubleCmd</a>() {};
00180         
00181         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevDoubleCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00182         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevDoubleCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00183 };
00184 
00185 
<a name="l00186"></a><a class="code" href="classTangoTest_1_1DevFloatCmd.html">00186</a> <font class="keyword">class </font>DevFloatCmd : <font class="keyword">public</font> Tango::Command
00187 {
00188 <font class="keyword">public</font>:
00189         <a class="code" href="classTangoTest_1_1DevFloatCmd.html#a0">DevFloatCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00190         <a class="code" href="classTangoTest_1_1DevFloatCmd.html#a0">DevFloatCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00191"></a><a class="code" href="classTangoTest_1_1DevFloatCmd.html#a2">00191</a>         <a class="code" href="classTangoTest_1_1DevFloatCmd.html#a2">~DevFloatCmd</a>() {};
00192         
00193         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevFloatCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00194         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevFloatCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00195 };
00196 
00197 
<a name="l00198"></a><a class="code" href="classTangoTest_1_1DevULongCmd.html">00198</a> <font class="keyword">class </font>DevULongCmd : <font class="keyword">public</font> Tango::Command
00199 {
00200 <font class="keyword">public</font>:
00201         <a class="code" href="classTangoTest_1_1DevULongCmd.html#a0">DevULongCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00202         <a class="code" href="classTangoTest_1_1DevULongCmd.html#a0">DevULongCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00203"></a><a class="code" href="classTangoTest_1_1DevULongCmd.html#a2">00203</a>         <a class="code" href="classTangoTest_1_1DevULongCmd.html#a2">~DevULongCmd</a>() {};
00204         
00205         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevULongCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00206         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevULongCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00207 };
00208 
00209 
<a name="l00210"></a><a class="code" href="classTangoTest_1_1DevLongCmd.html">00210</a> <font class="keyword">class </font>DevLongCmd : <font class="keyword">public</font> Tango::Command
00211 {
00212 <font class="keyword">public</font>:
00213         <a class="code" href="classTangoTest_1_1DevLongCmd.html#a0">DevLongCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00214         <a class="code" href="classTangoTest_1_1DevLongCmd.html#a0">DevLongCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00215"></a><a class="code" href="classTangoTest_1_1DevLongCmd.html#a2">00215</a>         <a class="code" href="classTangoTest_1_1DevLongCmd.html#a2">~DevLongCmd</a>() {};
00216         
00217         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevLongCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00218         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevLongCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00219 };
00220 
00221 
<a name="l00222"></a><a class="code" href="classTangoTest_1_1DevUShortCmd.html">00222</a> <font class="keyword">class </font>DevUShortCmd : <font class="keyword">public</font> Tango::Command
00223 {
00224 <font class="keyword">public</font>:
00225         <a class="code" href="classTangoTest_1_1DevUShortCmd.html#a0">DevUShortCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00226         <a class="code" href="classTangoTest_1_1DevUShortCmd.html#a0">DevUShortCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00227"></a><a class="code" href="classTangoTest_1_1DevUShortCmd.html#a2">00227</a>         <a class="code" href="classTangoTest_1_1DevUShortCmd.html#a2">~DevUShortCmd</a>() {};
00228         
00229         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevUShortCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00230         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevUShortCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00231 };
00232 
00233 
<a name="l00234"></a><a class="code" href="classTangoTest_1_1DevShortCmd.html">00234</a> <font class="keyword">class </font>DevShortCmd : <font class="keyword">public</font> Tango::Command
00235 {
00236 <font class="keyword">public</font>:
00237         <a class="code" href="classTangoTest_1_1DevShortCmd.html#a0">DevShortCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00238         <a class="code" href="classTangoTest_1_1DevShortCmd.html#a0">DevShortCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00239"></a><a class="code" href="classTangoTest_1_1DevShortCmd.html#a2">00239</a>         <a class="code" href="classTangoTest_1_1DevShortCmd.html#a2">~DevShortCmd</a>() {};
00240         
00241         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevShortCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00242         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevShortCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00243 };
00244 
00245 
<a name="l00246"></a><a class="code" href="classTangoTest_1_1DevBooleanCmd.html">00246</a> <font class="keyword">class </font>DevBooleanCmd : <font class="keyword">public</font> Tango::Command
00247 {
00248 <font class="keyword">public</font>:
00249         <a class="code" href="classTangoTest_1_1DevBooleanCmd.html#a0">DevBooleanCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00250         <a class="code" href="classTangoTest_1_1DevBooleanCmd.html#a0">DevBooleanCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00251"></a><a class="code" href="classTangoTest_1_1DevBooleanCmd.html#a2">00251</a>         <a class="code" href="classTangoTest_1_1DevBooleanCmd.html#a2">~DevBooleanCmd</a>() {};
00252         
00253         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevBooleanCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00254         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevBooleanCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00255 };
00256 
00257 
<a name="l00258"></a><a class="code" href="classTangoTest_1_1DevVoidCmd.html">00258</a> <font class="keyword">class </font>DevVoidCmd : <font class="keyword">public</font> Tango::Command
00259 {
00260 <font class="keyword">public</font>:
00261         <a class="code" href="classTangoTest_1_1DevVoidCmd.html#a0">DevVoidCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00262         <a class="code" href="classTangoTest_1_1DevVoidCmd.html#a0">DevVoidCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00263"></a><a class="code" href="classTangoTest_1_1DevVoidCmd.html#a2">00263</a>         <a class="code" href="classTangoTest_1_1DevVoidCmd.html#a2">~DevVoidCmd</a>() {};
00264         
00265         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classTangoTest_1_1DevVoidCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00266         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classTangoTest_1_1DevVoidCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00267 };
00268 
00269 
00270 
00271 <font class="comment">//</font>
00272 <font class="comment">// The TangoTestClass singleton definition</font>
00273 <font class="comment">//</font>
00274 
<a name="l00275"></a><a class="code" href="classTangoTest_1_1TangoTestClass.html">00275</a> <font class="keyword">class </font>TangoTestClass : <font class="keyword">public</font> Tango::DeviceClass
00276 {
00277 <font class="keyword">public</font>:
00278 
00279 <font class="comment">//      add your own data members here</font>
00280 <font class="comment">//------------------------------------</font>
00281 
00282 <font class="keyword">public</font>:
00283 
00284 <font class="comment">//      Method prototypes</font>
00285         <font class="keyword">static</font> <a class="code" href="classTangoTest_1_1TangoTestClass.html#b0">TangoTestClass</a> *<a class="code" href="classTangoTest_1_1TangoTestClass.html#d0">init</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *);
00286         <font class="keyword">static</font> <a class="code" href="classTangoTest_1_1TangoTestClass.html#b0">TangoTestClass</a> *<a class="code" href="classTangoTest_1_1TangoTestClass.html#d1">instance</a>();
00287         <a class="code" href="classTangoTest_1_1TangoTestClass.html#a0">~TangoTestClass</a>();
00288         
00289 <font class="keyword">protected</font>:
00290         <a class="code" href="classTangoTest_1_1TangoTestClass.html#b0">TangoTestClass</a>(string &amp;);
00291         <font class="keyword">static</font> <a class="code" href="classTangoTest_1_1TangoTestClass.html#b0">TangoTestClass</a> *<a class="code" href="classTangoTest_1_1TangoTestClass.html#q0">_instance</a>;
00292         <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTestClass.html#b1">command_factory</a>();
00293         <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTestClass.html#b2">attribute_factory</a>(vector&lt;Tango::Attr *&gt; &amp;);
00294         <font class="keywordtype">void</font> <a class="code" href="classTangoTest_1_1TangoTestClass.html#b3">write_class_property</a>();
00295 
00296 <font class="keyword">private</font>:
00297         <font class="keywordtype">void</font> device_factory(<font class="keyword">const</font> Tango::DevVarStringArray *);
00298 };
00299 
00300 
00301 }       <font class="comment">//      namespace TangoTest</font>
00302 
00303 <font class="preprocessor">#endif // _TANGOTESTCLASS_H</font>
</pre></div><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
